Main Page Widgets Namespaces Book

# Gtk::PrintOperation Class Reference

Inheritance diagram for Gtk::PrintOperation:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<PageSetup> | get_default_page_setup () const
Glib::RefPtr<PrintSettings> | get_print_settings () const
PrintStatus | get_status () const
Glib::ustring | get_status_string () const
const GtkPrintOperation* | gobj () const
| Provides access to the underlying C GObject.
GtkPrintOperation* | gobj ()
| Provides access to the underlying C GObject.
GtkPrintOperation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | is_finished () const
PrintOperationResult | run (Window& parent, std::auto_ptr<Glib::Error>& error)
void | run_async (Window& parent)
void | set_current_page (int current_page)
void | set_default_page_setup (const Glib::RefPtr<PageSetup>& default_page_setup)
void | set_job_name (const Glib::ustring& job_name)
void | set_n_pages (int n_pages)
void | set_pdf_target (const std::string& file_name)
void | set_print_settings (const Glib::RefPtr<PrintSettings>& print_settings)
void | set_show_dialog (bool show_dialog=true)
void | set_unit (Unit unit)
void | set_use_full_page (bool use_full_page=true)
Glib::SignalProxy1< void, const Glib::RefPtr<PrintContext >&> | signal_begin_print ()
Glib::SignalProxy2< void, const Glib::RefPtr<PrintContext>&, int > | signal_draw_page ()
Glib::SignalProxy1< void, const Glib::RefPtr<PrintContext >&> | signal_end_print ()
Glib::SignalProxy3< void, const Glib::RefPtr<PrintContext>&, int, const Glib::RefPtr< PageSetup >& > | signal_request_page_setup ()
Glib::SignalProxy0<void> | signal_status_changed ()
virtual | ~PrintOperation ()

## Static Public Member Functions

static Glib::RefPtr<PrintOperation> | create ()

## Protected Member Functions

virtual void | on_begin_print (const Glib::RefPtr<PrintContext>& context)
virtual void | on_draw_page (const Glib::RefPtr<PrintContext>& context, int page_nr)
virtual void | on_end_print (const Glib::RefPtr<PrintContext>& context)
virtual void | on_request_page_setup (const Glib::RefPtr<PrintContext>& context, int page_no, const Glib::RefPtr<PageSetup>& setup)
virtual void | on_status_changed ()
| PrintOperation ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::PrintOperation> | wrap (GtkPrintOperation* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::PrintOperation::~PrintOperation | ( |  | ) | `[virtual]`

Gtk::PrintOperation::PrintOperation | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<PrintOperation> Gtk::PrintOperation::create | ( |  | ) | `[static]`

Glib::RefPtr<PageSetup> Gtk::PrintOperation::get_default_page_setup | ( |  | ) | const

Glib::RefPtr<PrintSettings> Gtk::PrintOperation::get_print_settings | ( |  | ) | const

PrintStatus Gtk::PrintOperation::get_status | ( |  | ) | const

Glib::ustring Gtk::PrintOperation::get_status_string | ( |  | ) | const

const GtkPrintOperation* Gtk::PrintOperation::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrintOperation* Gtk::PrintOperation::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrintOperation* Gtk::PrintOperation::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::PrintOperation::is_finished | ( |  | ) | const

virtual void Gtk::PrintOperation::on_begin_print | ( | const Glib::RefPtr<PrintContext>& | context | ) | `[protected, virtual]`

virtual void Gtk::PrintOperation::on_draw_page | ( | const Glib::RefPtr<PrintContext>& | context,
|  | int | page_nr
| ) | `[protected, virtual]`

virtual void Gtk::PrintOperation::on_end_print | ( | const Glib::RefPtr<PrintContext>& | context | ) | `[protected, virtual]`

virtual void Gtk::PrintOperation::on_request_page_setup | ( | const Glib::RefPtr<PrintContext>& | context,
|  | int | page_no,
|  | const Glib::RefPtr<PageSetup>& | setup
| ) | `[protected, virtual]`

virtual void Gtk::PrintOperation::on_status_changed | ( |  | ) | `[protected, virtual]`

PrintOperationResult Gtk::PrintOperation::run | ( | Window& | parent,
|  | std::auto_ptr<Glib::Error>& | error
| ) |

void Gtk::PrintOperation::run_async | ( | Window& | parent | ) |

void Gtk::PrintOperation::set_current_page | ( | int | current_page | ) |

void Gtk::PrintOperation::set_default_page_setup | ( | const Glib::RefPtr<PageSetup>& | default_page_setup | ) |

void Gtk::PrintOperation::set_job_name | ( | const Glib::ustring& | job_name | ) |

void Gtk::PrintOperation::set_n_pages | ( | int | n_pages | ) |

void Gtk::PrintOperation::set_pdf_target | ( | const std::string& | file_name | ) |

void Gtk::PrintOperation::set_print_settings | ( | const Glib::RefPtr<PrintSettings>& | print_settings | ) |

void Gtk::PrintOperation::set_show_dialog | ( | bool | show_dialog = `true` | ) |

void Gtk::PrintOperation::set_unit | ( | Unit | unit | ) |

void Gtk::PrintOperation::set_use_full_page | ( | bool | use_full_page = `true` | ) |

Glib::SignalProxy1<void,const Glib::RefPtr<PrintContext>&> Gtk::PrintOperation::signal_begin_print | ( |  | ) |

Glib::SignalProxy2<void,const Glib::RefPtr<PrintContext>&,int> Gtk::PrintOperation::signal_draw_page | ( |  | ) |

Glib::SignalProxy1<void,const Glib::RefPtr<PrintContext>&> Gtk::PrintOperation::signal_end_print | ( |  | ) |

Glib::SignalProxy3<void,const Glib::RefPtr<PrintContext>&,int,const Glib::RefPtr<PageSetup>&> Gtk::PrintOperation::signal_request_page_setup | ( |  | ) |

Glib::SignalProxy0<void> Gtk::PrintOperation::signal_status_changed | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PrintOperation> wrap | ( | GtkPrintOperation* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printoperation.h